OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.FragmentCoverageToColor

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFragmentCoverageToColor :: MonadIO m => m Bool
- gl_NV_fragment_coverage_to_color :: Bool
- pattern GL_FRAGMENT_COVERAGE_COLOR_NV :: GLenum
- pattern GL_FRAGMENT_COVERAGE_TO_COLOR_NV :: GLenum
- glFragmentCoverageColorNV :: MonadIO m => GLuint -> m ()

# Extension Support

glGetNVFragmentCoverageToColor :: MonadIO m => m Bool Source #

Is the NV_fragment_coverage_to_color extension supported?

gl_NV_fragment_coverage_to_color :: Bool Source #

Is the NV_fragment_coverage_to_color extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFragmentCoverageToColor` in those cases instead.

# Enums

pattern GL_FRAGMENT_COVERAGE_COLOR_NV :: GLenum Source #

pattern GL_FRAGMENT_COVERAGE_TO_COLOR_NV :: GLenum Source #

# Functions

glFragmentCoverageColorNV Source #

Arguments

:: MonadIO m |
=> GLuint | `color`.
-> m () |